=== debian/control ===
--- 
+++ 
@@ -16,52 +16,53 @@
                libassuan-dev,
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicalendar-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
-               libkf5akonadiserver-dev (>= 4:17.04.3~),
-               libkf5alarmcalendar-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicalendar-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadiserver-dev (>= 4:17.12.3~),
+               libkf5alarmcalendar-dev (>= 4:17.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
-               libkf5calendarcore-dev (>= 4:17.04.3~),
-               libkf5calendarutils-dev (>= 4:17.04.3~),
+               libkf5calendarcore-dev (>= 4:17.12.3~),
+               libkf5calendarutils-dev (>= 4:17.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5holidays-dev (>= 17.04.3~),
+               libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.04.3~),
+               libkf5identitymanagement-dev (>= 17.12.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:17.04.3~),
+               libkf5kdepimdbusinterfaces-dev (>= 4:17.12.3~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mailcommon-dev (>= 4:17.04.3~),
-               libkf5mailtransport-dev (>= 17.04.3~),
-               libkf5messagecomposer-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
-               libkf5mimetreeparser-dev (>= 4:17.04.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mailcommon-dev (>= 4:17.12.3~),
+               libkf5mailtransport-dev (>= 17.12.3~),
+               libkf5messagecomposer-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
+               libkf5mimetreeparser-dev (>= 4:17.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.04.3~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.04.3~),
+               libkf5templateparser-dev (>= 4:17.12.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:17.04.3~),
+               libkf5webengineviewer-dev (>= 4:17.12.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
