## kalarm 18.04.3

=== debian/changelog ===
kalarm (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:07 +0100

kalarm (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Rebuild against kauth 5.47, for altered kauth helper binary
    installation paths

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 20:17:07 +0100
