## kalarm 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.1)
-set(KDEPIM_VERSION_NUMBER "5.7.3")
+set(KDEPIM_VERSION_NUMBER "5.9.3")
 set(PIM_VERSION ${KDEPIM_VERSION_NUMBER})
 
-project(kalarm VERSION "2.11.16")
+project(kalarm VERSION "2.12.2")
 
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
@@ -28,7 +28,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMCoverageOption)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -37,29 +37,29 @@
 
 
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
-set(KIMAP_LIB_VERSION "5.7.3")
-set(AKONADI_MIMELIB_VERSION "5.7.3")
-set(AKONADI_CONTACT_VERSION "5.7.3")
-set(KHOLIDAYS_LIB_VERSION "5.7.3")
-set(KMAILTRANSPORT_LIB_VERSION "5.7.3")
-set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.7.3")
-set(AKONADI_VERSION "5.7.3")
-set(KMIME_LIB_VERSION "5.7.3")
-set(AKONADIKALARM_LIB_VERSION "5.7.3")
-set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
+set(KIMAP_LIB_VERSION "5.9.3")
+set(AKONADI_MIMELIB_VERSION "5.9.3")
+set(AKONADI_CONTACT_VERSION "5.9.3")
+
+set(KMAILTRANSPORT_LIB_VERSION "5.9.3")
+set(KPIMTEXTEDIT_LIB_VERSION "5.9.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.9.3")
+set(AKONADI_VERSION "5.9.3")
+set(KMIME_LIB_VERSION "5.9.3")
+set(AKONADIKALARM_LIB_VERSION "5.9.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.9.3")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
 
-set(QT_REQUIRED_VERSION "5.8.0")
+set(QT_REQUIRED_VERSION "5.9.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
 find_package(Qt5X11Extras NO_MODULE)
-set(MAILCOMMON_LIB_VERSION_LIB "5.7.3")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.7.3")
-set(KCALENDARCORE_LIB_VERSION "5.7.3")
-set(CALENDARUTILS_LIB_VERSION "5.7.3")
-set(KDEPIM_APPS_LIB_VERSION_LIB "5.7.3")
+set(MAILCOMMON_LIB_VERSION_LIB "5.9.3")
+set(LIBKDEPIM_LIB_VERSION_LIB "5.9.3")
+set(KCALENDARCORE_LIB_VERSION "5.9.3")
+set(CALENDARUTILS_LIB_VERSION "5.9.3")
+set(KDEPIM_APPS_LIB_VERSION_LIB "5.9.3")
 
 # Find KF5 package
 find_package(KF5Auth ${KF5_VERSION} CONFIG REQUIRED)
@@ -69,6 +69,7 @@
 find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5DocTools ${KF5_VERSION} REQUIRED)
+find_package(KF5GlobalAccel ${KF5_VERSION} REQUIRED)
 find_package(KF5GuiAddons ${KF5_VERSION} REQUIRED)
 find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5IconThemes ${KF5_VERSION} REQUIRED)
@@ -81,6 +82,7 @@
 find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5Holidays ${KF5_VERSION} CONFIG REQUIRED)
 find_package(Phonon4Qt5 CONFIG REQUIRED)
 
 # Find KdepimLibs Package
@@ -91,7 +93,6 @@
 find_package(KF5AlarmCalendar ${AKONADIKALARM_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarCore ${KCALENDARCORE_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5Holidays ${KHOLIDAYS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5KdepimDBusInterfaces ${KDEPIM_APPS_LIB_VERSION_LIB} CONFIG REQUIRED)
 find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
@@ -115,9 +116,6 @@
 
 include_directories(${kalarm_SOURCE_DIR} ${kalarm_BINARY_DIR})
 
-if (CMAKE_BUILD_TYPE STREQUAL "Debug")
-  add_definitions(-DQT_STRICT_ITERATORS)
-endif()
 add_definitions(-DQT_NO_CAST_FROM_ASCII)
 add_definitions(-DQT_NO_CAST_TO_ASCII)
 add_definitions(-DQT_MESSAGELOGCONTEXT)
