=== debian/control ===
Source: kalarm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5akonadi-dev (>= 4:18.08.3~),
               libkf5akonadicontact-dev (>= 4:18.08.3~),
               libkf5akonadimime-dev (>= 4:18.08.3~),
               libkf5alarmcalendar-dev (>= 4:18.08.3~),
               libkf5auth-dev (>= 5.47.0~),
               libkf5calendarcore-dev (>= 4:18.08.3~),
               libkf5calendarutils-dev (>= 4:18.08.3~),
               libkf5codecs-dev (>= 5.47.0~),
               libkf5completion-dev (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5configwidgets-dev (>= 5.47.0~),
               libkf5dbusaddons-dev (>= 5.47.0~),
               libkf5doctools-dev (>= 5.47.0~),
               libkf5globalaccel-dev (>= 5.47.0~),
               libkf5guiaddons-dev (>= 5.47.0~),
               libkf5holidays-dev (>= 1:5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5identitymanagement-dev (>= 18.08.3~),
               libkf5imap-dev (>= 18.08.3~),
               libkf5jobwidgets-dev (>= 5.47.0~),
               libkf5kcmutils-dev (>= 5.47.0~),
               libkf5kdelibs4support-dev (>= 5.47.0~),
               libkf5kdepimdbusinterfaces-dev (>= 4:18.08.3~),
               libkf5kio-dev (>= 5.47.0~),
               libkf5libkdepim-dev (>= 4:18.08.3~),
               libkf5mailcommon-dev (>= 4:18.08.3~),
               libkf5mailtransport-dev (>= 18.08.3~),
               libkf5mime-dev (>= 18.08.3~),
               libkf5notifications-dev (>= 5.47.0~),
               libkf5pimcommon-dev (>= 4:18.08.3~),
               libkf5pimtextedit-dev (>= 18.08.3~),
               libkf5service-dev (>= 5.47.0~),
               libkf5widgetsaddons-dev (>= 5.47.0~),
               libkf5windowsystem-dev (>= 5.47.0~),
               libkf5xmlgui-dev (>= 5.47.0~),
               libphonon4qt5-dev,
               libqt5x11extras5-dev (>= 5.7.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xsltproc,
Standards-Version: 4.3.0
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalarm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalarm.git

Package: kalarm
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<< 4:17.08~), ${kde-l10n:all}
Replaces: kdepim-doc (<< 4:17.08~), ${kde-l10n:all}
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
